Note: Due to technical difficulties, the Archives are currently not up to date.
GMANE provides an alternative service for most mailing lists. c.f. bug 424647
List Archive: gentoo-commits
commit: 9ec9b3533dc6ae541a24440aee3cb1d0149a81d3
Author: Kent Fredric <kentfredric <AT> gmail <DOT> com>
AuthorDate: Fri Sep 2 02:04:18 2011 +0000
Commit: Kent Fredric <kentfredric <AT> gmail <DOT> com>
CommitDate: Fri Sep 2 02:04:18 2011 +0000
URL: http://git.overlays.gentoo.org/gitweb/?p=proj/perl-overlay.git;a=commit;h=9ec9b353
[newversion] MooseX-Types-Common-0.1.3
(Portage version: 2.2.0_alpha51/git/Linux x86_64, signed Manifest commit with key BD86D695)
---
dev-perl/MooseX-Types-Common/ChangeLog | 6 +++
.../MooseX-Types-Common-0.1.3.ebuild | 35 ++++++++++++++++++++
2 files changed, 41 insertions(+), 0 deletions(-)
diff --git a/dev-perl/MooseX-Types-Common/ChangeLog b/dev-perl/MooseX-Types-Common/ChangeLog
index bb43b8e..2356cb8 100644
--- a/dev-perl/MooseX-Types-Common/ChangeLog
+++ b/dev-perl/MooseX-Types-Common/ChangeLog
@@ -2,6 +2,12 @@
# Copyright 1999-2011 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*MooseX-Types-Common-0.1.3 (02 Sep 2011)
+
+ 02 Sep 2011; Kent Fredric <kentfredric@...>
+ +MooseX-Types-Common-0.1.3.ebuild:
+ Version Bump
+
*MooseX-Types-Common-0.1.2 (02 Sep 2011)
02 Sep 2011; Kent Fredric <kentfredric@...>
diff --git a/dev-perl/MooseX-Types-Common/MooseX-Types-Common-0.1.3.ebuild b/dev-perl/MooseX-Types-Common/MooseX-Types-Common-0.1.3.ebuild
new file mode 100644
index 0000000..08b6b87
--- /dev/null
+++ b/dev-perl/MooseX-Types-Common/MooseX-Types-Common-0.1.3.ebuild
@@ -0,0 +1,35 @@
+# Copyright 1999-2011 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+EAPI=4
+MODULE_AUTHOR=ARCANEZ
+MODULE_VERSION=0.001003
+inherit perl-module
+
+DESCRIPTION="A set of commonly-used type constraints that do not ship with Moose by default"
+LICENSE="|| ( Artistic GPL-2 )"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+comment() { true;}
+COMMON_DEPEND="
+ $(comment Moose 0.39)
+ >=dev-perl/Moose-0.39 $(comment 0.390.0)
+
+ $(comment MooseX::Types 0.04)
+ >=dev-perl/MooseX-Types-0.40.0
+"
+DEPEND="
+ ${COMMON_DEPEND}
+ test? (
+ $(comment Test::More 0.62)
+ >=virtual/perl-Test-Simple-0.62
+
+ $(comment Test::Exception)
+ dev-perl/Test-Exception
+ )
+"
+RDEPEND="
+ ${COMMON_DEPEND}
+"
+SRC_TEST="do"
|
|